-- phpMyAdmin SQL Dump
-- version 4.6.6deb5
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Erstellungszeit: 27. Dez 2018 um 19:23
-- Server-Version: 10.1.37-MariaDB-3
-- PHP-Version: 7.3.0-2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Datenbank: `tlv`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `headCategories`
--

CREATE TABLE `headCategories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` char(128) NOT NULL,
  `amount` int(10) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `headCategories`
--

INSERT INTO `headCategories` (`id`, `name`, `amount`) VALUES
(1, 'Netzwerk', 3),
(2, 'Stromkabel', 1);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `items`
--

CREATE TABLE `items` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `label` varchar(64) NOT NULL,
  `comment` tinytext,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `serialnumber` varchar(64) DEFAULT NULL,
  `amount` smallint(5) UNSIGNED NOT NULL DEFAULT '1',
  `headcategory` bigint(20) UNSIGNED NOT NULL,
  `subcategories` text,
  `storageid` bigint(20) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `items`
--

INSERT INTO `items` (`id`, `label`, `comment`, `date`, `serialnumber`, `amount`, `headcategory`, `subcategories`, `storageid`) VALUES
(2, 'Fritzbox 2490', NULL, '2018-12-27 15:22:23', NULL, 2, 1, '2,3,4', 1),
(3, 'Fitzflox', NULL, '2018-12-27 17:15:31', NULL, 1, 1, '4', 1),
(4, 'Android S5 Mini Charger', 'Android Charger 3V', '2018-12-27 17:47:31', NULL, 1, 2, '5', 2);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `storages`
--

CREATE TABLE `storages` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `label` varchar(64) NOT NULL,
  `amount` smallint(5) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `storages`
--

INSERT INTO `storages` (`id`, `label`, `amount`) VALUES
(1, 'A10', 3),
(2, 'A12', 1);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `subCategories`
--

CREATE TABLE `subCategories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` char(128) NOT NULL,
  `amount` bigint(20) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `subCategories`
--

INSERT INTO `subCategories` (`id`, `name`, `amount`) VALUES
(2, 'WLAN', 2),
(3, 'FritzBox', 2),
(4, 'Test', 3),
(5, 'Mini USB', 1);

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `headCategories`
--
ALTER TABLE `headCategories`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Indizes für die Tabelle `items`
--
ALTER TABLE `items`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `storages`
--
ALTER TABLE `storages`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `subCategories`
--
ALTER TABLE `subCategories`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `subcategory` (`name`);

--
-- AUTO_INCREMENT für exportierte Tabellen
--

--
-- AUTO_INCREMENT für Tabelle `headCategories`
--
ALTER TABLE `headCategories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT für Tabelle `items`
--
ALTER TABLE `items`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT für Tabelle `storages`
--
ALTER TABLE `storages`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT für Tabelle `subCategories`
--
ALTER TABLE `subCategories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
